# syntax=docker/dockerfile:1
# docker build --rm -f build/Dockerfile -t source.toby3d.me/toby3d/home .

# Build
FROM golang:alpine AS builder

WORKDIR /app

ENV CGO_ENABLED=0
ENV GOFLAGS="-tags=timetzdata -mod=vendor -buildvcs=true"

COPY go.mod go.sum *.go ./
COPY internal ./internal/
COPY web ./web/
COPY vendor ./vendor/

RUN go build -o ./home

# Run
FROM scratch

WORKDIR /

COPY --from=builder /app/home /home

VOLUME ["/content", "/theme", "/static"]

EXPOSE 3000

ENTRYPOINT ["/home"]
